## mksh 44

=== debian/changelog ===
mksh (44-1ubuntu1) raring; urgency=low

  * Merge from Debian experimental. (LP: #1148014) Remaining changes:
    - Do not build-depend on dietlibc, which is not in main.

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 12 Mar 2013 17:28:42 +0000

mksh (44-1) experimental; urgency=low

  * New upstream stable release; changes:
    - [tg] "$@" always generates words; bug spotted by engla in IRC
    - [tg] Optimise print_columns display to use the screen space better

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 05 Mar 2013 17:07:37 +0000

mksh (43-1) experimental; urgency=medium

  * New upstream stable release; changes:
    - [tg] Do not permit $'…' and $"…" in anything that looks like a
      string, as old scripts, like  ncurses’, depend on behaviour not
      guaranteed by POSIX regarding unescaped dollar signs there 
    - [dalias] Make detection of function prototypes more reliable 
    - [tg] Quote setenv arguments for eval properly in dot.mkshrc 
    - [tg] Validate parameter names for typeset, export, etc. 
    - [tg] Provide a classic BSD echo builtin for /bin/sh on MidnightBSD 
    - [tg] When generating Makefrag.inc put list of check_categories inside 
    - [tg] Actually test all echo(1) flavours and MidnightBSD /bin/sh hacks 
  * Updated “Uhr” example script

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 19 Feb 2013 19:11:41 +0000

mksh (42b-1) experimental; urgency=medium

  * The “Acetylsalicylsäure++” upload
  * Drop B-D on pax, not really needed since I was forced to
    switch to full debhelper for 40.9.20121124-2 again
  * Add linux-libc-dev to B-U for klibc as it uses kernel headers
    (don’t do something similar for kFreeBSD or Hurd: unnecessary)
  * Merge changelog for upload: mksh (40.9.20120630-7) unstable
  * Use upstream .orig.tar.gz files unchanged
    - printf.c lives in debian/ now, symlinked in the CVS packaging
      repo ⇒ change meat to copy over for building
  * Simplify rules and watch files accordingly
  * New upstream must-have bugfixes stable release:
    - LP#1104543 fix was too strict (Closes: #700526)
    - Correctly initialise memory (Closes: #700604)
  * Add linux-libc-dev to “dependencies” output, too (see above)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 15 Feb 2013 23:37:12 +0000

mksh (41.9.20130210) experimental; urgency=low

  * The “remedies for frustration – bzr lessons-learned” upload
  * Debian-relevant changes from R41-stable branch:
    - Fix getn and some cases of possible array bounds trespasses
    - Fix “command shift”, reported by «ormaaj:#!/bin/mksh»
    - Fix regression wrt lists in functions and “set -e” (LP#1104543)
  * Update to mksh CVS HEAD; Debian-relevant changes:
    - Fix ${ precmd;} in dot.mkshrc to retain the errorlevel
    - Prefer const-clean sys_errlist[] to strerror(3)
    - Permit $"…" and $'…' everywhere except in the body of here
      documents that are not here strings
    - Use full recursive parser for double-quoted here strings,
      and reuse code between here strings and here documents
    - #ifdef DEBUG_LEAKS free all fds and memory on exit (LP#1106116)
    - Don’t close stdout/stderr with redirections, dup /dev/null instead,
      always, both in dot.mkshrc and the testsuite, it does break!
    - Handle ${ …;} like functions in that local and return DWIW;
      use it for the big chunk in $PS1 to avoid fork(2)ing (at cost of
      tempfiles; dot.mkshrc is a sample, adjust to your needs)
  * Merge changelog for upload: mksh (40.9.20120630-5) unstable

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 11 Feb 2013 14:41:10 +0100

mksh (41.1-6) experimental; urgency=low

  * Brown paperbag upload
  * Fix traps for “set +e”, too (Really Closes: #696823)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 01 Jan 2013 22:25:40 +0000

mksh (41.1-5) experimental; urgency=low

  * The “huh an m68k buildd is more fun than manual scheduling” upload
  * Update to otherwise unpatched head of mksh R41-stable branch:
    - [tg, RT] Bunch of portability and build system fixes
    - [tg] Fix running the ERR and EXIT traps in situations with set -e
      and possibly eval (Closes: #696823)
  * Update dot.mkshrc to CVS HEAD to have ${ precmd;} again
  * Add my Uhr as contributed example of what to do with mksh ;-)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 01 Jan 2013 21:31:41 +0000

mksh (41.1-4) experimental; urgency=low

  * The “maybe amd64 buildd chroot got upgraded by now…” upload
  * Update to head of mksh R41-stable branch:
    - fix mistake in hash collision resolution implementation

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 08 Dec 2012 19:05:46 +0000

mksh (41.1-3) experimental; urgency=low

  * The “waiting for clang-3.2 to pass NEW” upload
  * Update to head of mksh R41-stable branch:
    - we use -fno-asynchronous-unwind-tables for GCC now
    - some warning fixes, mostly -Wsign-compare

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 05 Dec 2012 20:06:09 +0000

mksh (41.1-2) experimental; urgency=low

  * The “Geier” upload (keep in experimental for now)
  * New upstream formal stable release; changes:
    - [tg] Fix an input command line editing display redrawing issue
    - [tg] Track the tty to keep $COLUMNS and $LINES up-to-date after
      a SIGWINCH even in scripts
  * Update to mksh R41-stable branch:
    - buildsystem warning fixes
    - fixes for issues discovered by LLVM+Clang scan-build
  * Update debian/watch file: distfiles are .tgz now
  * debian/meat: Fix $CC invocation for B-U generation and be more robust

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 04 Dec 2012 01:38:13 +0000

mksh (40.9.20121124-2) experimental; urgency=low

  * The “other littlest” upload
  * Redo packaging to use debhelper again (Closes: #690381)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 26 Nov 2012 18:11:39 +0000

mksh (40.9.20121124-1) experimental; urgency=low

  * The “Marek” upload, to experimental, people please test test test!
  * New CVS snapshot:
    - [tg] Make dot.mkshrc usable with “set -o nounset” / “set -u”

