=== debian/control ===
# $MirOS: contrib/hosted/tg/deb/mksh/debian/control,v 1.87 2013/02/11 14:19:36 tg Exp $
#
Source: mksh
Section: shells
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thorsten Glaser <tg@mirbsd.de>
Homepage: http://mirbsd.de/mksh
# We build-depend on dietlibc-dev and libklibc-dev for mksh-static and link
# it against eglibc if neither is usable for a given architecture. The meat
# checks actual shell usability based on the architecture, whether we are in
# paranoid (just before the freeze/release) mode, and whether the testsuite
# is run to determine bad builds. Really, do run the testsuite! (Even then,
# versioned B-D may be used to remove known bogus versions.)
Build-Depends: bsdmainutils, debhelper (>= 5), ed,
  libklibc-dev [alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64],
# dietlibc-dev (>= 0.33~cvs20111108-5~) [hppa] | dietlibc-doc [hppa],
# dietlibc-dev [alpha amd64 arm armeb armel armhf i386 ia64 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sparc64],
# # also for the testsuite (could switch to C.UTF-8 nowadays, though)
  locales [!avr32] | belocs-locales-bin [!avr32]
# # hard to test against bug
Build-Conflicts: dietlibc-dev (<< 0.33~cvs20111108-5~) [hppa]
Standards-Version: 3.9.4
# First word is the $CVSROOT (-d arg) string, second word the module.
# Upstream is on the same server, in the "mksh" module.
Vcs-CVS: :ext:_anoncvs@anoncvs.mirbsd.org:/cvs contrib/hosted/tg/deb/mksh
Vcs-Browser: http://cvs.mirbsd.de/contrib/hosted/tg/deb/mksh/

Package: mksh
Architecture: any
Multi-Arch: foreign
Built-Using: ${mksh:B-U}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ed
Description: MirBSD Korn Shell
 mksh is the successor of the Public Domain Korn shell (pdksh),
 a Bourne/POSIX compatible shell which is largely similar to the
 original AT&T Korn Shell (ksh88/ksh93).
 It includes bug fixes and feature improvements, in order to produce a
 modern, robust shell good for interactive and especially script use.
 mksh has UTF-8 support (in string operations and the Emacs editing
 mode). The code has been cleaned up and simplified, bugs fixed,
 standards compliance added, and several enhancements (for extended
 compatibility to other modern shells, as well as a couple of its
 own) are available.
 This shell is Debian Policy 10.4 compliant and may be used as /bin/sh
 on Debian systems, in both /bin/mksh and /bin/mksh-static flavours.
 .
 The mksh-static binary is a version of mksh, linked against klibc or
 dietlibc (if they exist for that Debian architecture and are usable)
 and optimised for small code size, for example for use on initrd or
 initramfs images, installation or rescue systems, or /bin/sh on slow
 architectures.
 It omits some leaf features to be even smaller.
 .
 The lksh binary is a script shell based on mksh intended to run old
 ksh88 and pdksh scripts, but not for interactive use.
 .
 A sample ~/.mkshrc is included in /usr/share/doc/mksh/examples and
 provided as /etc/mkshrc conffile, which is sourced by another file
 /etc/skel/.mkshrc users are recommended to copy into their home.

Package: pdksh
Section: oldlibs
Priority: extra
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, mksh (>= 40.9.20120630)
Description: transitional dummy package to migrate from pdksh to mksh
 The Public Domain Korn Shell "pdksh" is a mostly complete AT&T ksh
 look-alike, but has been superseded by mksh. This transitional dummy
 package exists to fulfil the needs of existing users, dependencies
 and build-dependencies by providing pdksh symlinks to the legacy
 flavour of mksh. You can safely remove it once you have no remaining
 users or scripts depending on pdksh any more (do make sure to check
 users' login shells).
 .
 Note: the mksh legacy flavour is not intended for interactive use.
 Please change your login shell to /bin/mksh and copy /etc/skel/.mkshrc
 to your home directory.
