=== debian/rules ===
#!/usr/bin/make -f
# $MirOS: contrib/hosted/tg/deb/mksh/debian/rules,v 1.110 2013/02/15 23:25:41 tg Exp $

LC_ALL:=C
export LC_ALL

# shut up build log checkers that don’t know what they are doing
# Debian #492377, #572252; as well *buntu
_shutup:= 2>&1 | sed \
	    -e 's!conftest.c:\([0-9]*\(:[0-9]*\)*\): error:!cE(\1) -!g' \
	    -e 's!conftest.c:\([0-9]*\(:[0-9]*\)*\): warning:!cW(\1) -!g' \

build-indep:

build-arch: debian/.build_stamp

debian/.build_stamp:
	dh_testdir
	-rm -f $@
	(sh debian/meat && :>$@) ${_shutup}
	test -e $@

clean:
	dh_testdir
	dh_clean
	-rm -rf builddir
	-rm -rf debian/.*_stamp

binary-indep: build-indep
	dh_testdir
	if test -x "$$(which dh_prep)"; then dh_prep -i; else dh_clean -i -k; fi
	dh_installchangelogs -i
	dh_install -i
	# will be replaced by links to mksh
	rm -rf debian/pdksh/usr/share/doc/pdksh
	mkdir -p debian/pdksh/usr/share/lintian/overrides
	cp -a debian/pdksh.lintian \
	    debian/pdksh/usr/share/lintian/overrides/pdksh
	dh_link -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch
	dh_testdir
	if test -x "$$(which dh_prep)"; then dh_prep -a; else dh_clean -a -k; fi
	cat builddir/substvars >>debian/mksh.substvars
	dh_installchangelogs -a
	dh_installdocs -a
	# we install this already, except with more information
	rm -f debian/mksh/usr/share/doc/mksh/README.Debian
	cp builddir/README.Debian.gz debian/mksh/usr/share/doc/mksh/
	dh_installexamples -a
	dh_install -a
	cp builddir/static/mksh debian/mksh/bin/mksh-static
	cp builddir/legacy/lksh debian/mksh/bin/lksh
	cp -a dot.mkshrc debian/mksh/etc/mkshrc
	dh_installmenu -a
	dh_installman -a
	mkdir -p debian/mksh/usr/share/lintian/overrides
	cp -a debian/mksh.lintian \
	    debian/mksh/usr/share/lintian/overrides/mksh
	dh_link -a
	dh_strip -a
	dh_compress -a
	ln -sf mksh.1.gz debian/mksh/usr/share/man/man1/mksh-static.1.gz
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a
	#-
	gzip -d <builddir/README.Debian.gz | sed \
	    -e '1,/^Details/d' -e '/^Actual/d' -e '/^]/d'

build: build-arch build-indep
binary: binary-indep binary-arch
.PHONY: binary binary-arch binary-indep build build-arch build-indep clean
