## mksh 46

=== debian/changelog ===
mksh (46-2ubuntu3) trusty; urgency=medium

  * Enable klibc-based build on arm64 as well.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 23 Dec 2013 19:48:34 -0700

mksh (46-2ubuntu2) trusty; urgency=low

  * Enable klibc-based build on ppc64el as well.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 15 Dec 2013 22:41:02 -0700

mksh (46-2ubuntu1) saucy; urgency=low

  * Merge from Debian, Remaining changes:
    - Do not build-depend on dietlibc, which is not in main.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 03 Jun 2013 16:38:39 +0100

mksh (46-2) unstable; urgency=low

  * The “Universal OS – freedom of choice” upload
  * Update to latest upstream CVS HEAD; changes:
    - [tg] Do not accidentally remove lksh.1 for in-srcdir builds
    - [tg] Fix post-build non-‘-Q’ output for lksh
    - [tg] Silence some configure-time warnings for clang-3.2 and GCC
  * Prepare lksh for being used as /bin/sh (with printf builtin);
    put into NEWS.Debian instruction to change the symlink
  * Drop printf builtin from mksh and mksh-static (they can still
    be used as /bin/sh but that brings back #532324; cf. #539158)
  * Update README.Debian and package Description accordingly
  * Write a message to buildd admins, to keep the chroot up-to-date
    (and remind them of the /dev/tty and /dev/ptmx necessities),
    to the build log
  * Make the localedef failure warning message more clear

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 22 May 2013 19:25:38 +0000

mksh (46-1) unstable; urgency=low

  * The “Omas” upload
  * Update to latest upstream stable release; changes:
    - [tg] dot.mkshrc: prevent lksh from running it
    - [tg] Add the lksh manual page to the mksh distribution
    - [tg] Make both lksh and mksh interpret numbers with a leading
      digit zero (‘0’) as octal precisely iff “set -o posix” is active
    - [tg] Point out the octal digit and the integer arithmetic differences
      from POSuX verbosely in the manual pages (point people who need
      octals to “set -o posix” and who need longs to lksh) and elaborate
      on the horrors of ISO C Undefined Behaviour which is allowed to
      delete all your data
    - [tg] Unbreak “set -o” (list flags) in lksh on LP64 machines
    - [tg] Implement Emacs mode PgUp as Vi insert mode Cur↑ for Yofuh
    - [tg] Allow setting both “set -o sh” and “set -o posix”, if done in the
      same command; shuffle around compatibility levels (mksh/lksh, with
      -o sh, with -o posix) again; permit a /bin/sh to set either or both
    - [tg] Sync lksh manual page with the exact code ifdefs
    - [tg] Change more use of signed integer to use unsigned instead
    - [tg] Implement “set -o pipefail” like AT&T ksh93 and GNU bash do
    - [tg] dot.mkshrc: provide hd(1) in Pure mksh™ for fallback
    - [tg] Implement VALSUBs (value substitutions): ${|REPLY=foo;}
  * Let /bin/sh use both -o posix and -o sh for better standards compliance
  * Improve README.Debian

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 02 May 2013 23:01:38 +0000

mksh (45-1) unstable; urgency=low

  * New upstream stable release; changes:
    - [tg] Make “set -x” print the commands run in escaped form
    - [tg] PS4 in dot.mkshrc is now timestamped
    - [tg] The &> GNU bash I/O redir is no longer parsed in -o posix,
      -o sh modes, lksh (breaks valid scripts)
    - [tg] Implement ${ …;} more efficiently (deleted-open files)
    - [tg] For shf, %#s (if you can get it past GCC’s printf format attribute)
      calls print_value_quoted, ignoring field width and precision
    - [tg] Catch “typeset =” (regression) with better error message
    - [tg, Tonnerre Lombard] add “doch” alias to dot.mkshrc which just repeats
      the last input line with sudo(8)
    - [tg] Use unsigned integers for all calculations, to avoid ISO C
      “Undefined Behaviour” (and implementation-defined behaviour) throughout
      (most of) the code; emulate signed integer arithmetics using unsigned;
      not-lksh only
    - [tg] Emulate signed modulo naïvely, for correct sign of the result
    - [tg] Add <<< and >>> for ROL and ROR (rotate left and right,
      respectively) operations, <<<= and >>> assignments; bitwise AND the RHS
      of a shift/rotate op with 31 (not for lksh)
    - [tg] Remove a warning by working around a workaround found in dietlibc
      which works around a bug in broken software such as GNU tar (really!)
    - [tg] Correct and simplify list and categorisation of built-in commands
      as POSIX special and “everything else” plus a flag to keep assignments
    - [tg] Handle ((foo)) as “let]” internally to avoid a conflict with user-
      defined functions called let (LP#1156707)
    - [tg] Clean up the code
  * Upload to unstable

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 26 Apr 2013 22:23:42 +0000
