=== debian/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $MirOS: contrib/hosted/tg/deb/mksh/debian/control,v 1.87 2013/02/11 14:19:36 tg Exp $
+# $MirOS: contrib/hosted/tg/deb/mksh/debian/control,v 1.88 2013/05/22 18:43:47 tg Exp $
 #
 Source: mksh
 Section: shells
@@ -13,7 +13,7 @@
 # is run to determine bad builds. Really, do run the testsuite! (Even then,
 # versioned B-D may be used to remove known bogus versions.)
 Build-Depends: bsdmainutils, debhelper (>= 5), ed,
-  libklibc-dev [alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64],
+  libklibc-dev [alpha amd64 armel armhf arm64 hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64],
 # dietlibc-dev (>= 0.33~cvs20111108-5~) [hppa] | dietlibc-doc [hppa],
 # dietlibc-dev [alpha amd64 arm armeb armel armhf i386 ia64 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sparc64],
 # # also for the testsuite (could switch to C.UTF-8 nowadays, though)
@@ -44,7 +44,9 @@
  compatibility to other modern shells, as well as a couple of its
  own) are available.
  This shell is Debian Policy 10.4 compliant and may be used as /bin/sh
- on Debian systems, in both /bin/mksh and /bin/mksh-static flavours.
+ on Debian systems (if udev is installed, /bin/lksh should be used;
+ otherwise, both /bin/mksh-static and /bin/mksh flavours also work),
+ and as rescue and initrd shell (/bin/mksh-static especially).
  .
  The mksh-static binary is a version of mksh, linked against klibc or
  dietlibc (if they exist for that Debian architecture and are usable)
