=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# $MirOS: contrib/hosted/tg/deb/mksh/debian/rules,v 1.110 2013/02/15 23:25:41 tg Exp $
+# $MirOS: contrib/hosted/tg/deb/mksh/debian/rules,v 1.111 2013/05/22 18:43:47 tg Exp $
 
 LC_ALL:=C
 export LC_ALL
@@ -55,7 +55,6 @@
 	dh_installexamples -a
 	dh_install -a
 	cp builddir/static/mksh debian/mksh/bin/mksh-static
-	cp builddir/legacy/lksh debian/mksh/bin/lksh
 	cp -a dot.mkshrc debian/mksh/etc/mkshrc
 	dh_installmenu -a
 	dh_installman -a
