=== debian/watch ===
# $MirOS: contrib/hosted/tg/deb/mksh/debian/watch,v 1.4 2013/02/15 23:25:41 tg Exp $

version=3
http://www.mirbsd.org/MirOS/dist/mir/mksh/ mksh-R([0-9]+[b-h]?)\.tgz
