## mksh 50

=== debian/changelog ===
mksh (50-4ubuntu1) utopic; urgency=medium

  * Merge from Debian (LP: #1362164), remaining changes:
    - Omit dietlibc builds on Ubuntu, where it is not in main
    - Enable klibc builds on arm64 and ppc64el

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 27 Aug 2014 14:54:34 +0200

mksh (50-4) unstable; urgency=medium

  * The “Wollknäuel” upload, while preparing FrOSCon…
  * Update uhr to CVS HEAD, fixes a usage error
  * Update mksh to CVS HEAD, while here

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 22 Aug 2014 10:17:11 +0200

mksh (50-3) unstable; urgency=medium

  * Explicitly disable ProPolice SSP for dietlibc and klibc
    (the former already DTRT, but klibc doesn’t and breaks weirdly)
  * Change all mention of eglibc to glibc

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 04 Jul 2014 12:58:11 +0200

mksh (50-2) unstable; urgency=medium

  * debian/control: Move VCS-* fields to Alioth collab-maint git
  * Remove now useless RCS IDs; use upstream ones for files copied
  * debian/meat: Try LTO only for glibc builds (breaks klibc)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 03 Jul 2014 21:34:49 +0200

mksh (50-1) unstable; urgency=medium

  * New upstream version R50:
    - [tg] Fix initial IFS whitespace not being ignored when expanding
    - [tg] MKSH_BINSHREDUCED no longer mistakenly enables brace expansion
    - [tg] Explain more clearly Vi input mode limitations in the manpage
    - [tg] Improve error reporting of the check.pl script (which needs a
      maintainer since I don’t speak any perl(1), really), for lewellyn
    - [tg] Use $TMPDIR in test.sh for scratch space
    - [tg, Polynomial-C] Check that the scratch space is not mounted noexec
    - [pekster, jilles, tg] Use termcap(5) names, not terminfo(5) names, in
      tput(1) examples, for improved portability (e.g. to MidnightBSD)
    - [tg] Avoid C99 Undefined Behaviour in mirtoconf LFS test (inspired by
      Debian #742780)
    - [tg] Fix ${!foo} for when foo is unset
    - [tg] Improve nameref error checking (LP#1277691)
    - [tg] Fix readonly bypass found by Bert Münnich
    - [Ryan Schmidt] Improved system reporting for Mac OS X
    - [nDuff] Explain better [[ extglob handling in the manpage
    - [tg] Remove arr=([index]=value) syntax due to regressions
    - [tg] IFS-split arithmetic expansions as per POSIX 201x
    - [OpenBSD] Add more detailed Authors section to manpage
    - [tg] Fix set ±p issue for good: drop privs unless requested
    - [tg] Improve signal handling and use a more canonical probing order
    - [tg] Fix return values $? and ${PIPESTATUS[*]} interaction with
      set -o pipefail and COMSUBs
    - [enh] Detect ENOEXEC ELF files and use a less confusing error message
    - [tg] Update to Unicode 7.0.0
    - [tg] Shut up valgrind in the $RANDOM code
    - [tg] Use -fstack-protector-strong in favour of -fstack-protector-all
    - [tg] Fix access-after-free crash spotted by Enjolras via IRC

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 29 Jun 2014 13:17:35 +0000

mksh (49-1) unstable; urgency=medium

  * The “10 years EarthCache” upload (well, I was busy yesterday)
  * Depend on klibc on x32 now that it is built
  * Adjust docs around octal numbers in arithmetics (Closes: #732509)
  * New upstream version R49:
    - [tg] dot.mkshrc: fix two issues with the cd wrapper
    - [tg] Unbreak set +p (wider issue still to be addressed)
    - [Steffen Daode Nurpmeso] Use WCONTINUED with waitpid(2)
    - [millert] Add proper suspend builtin handling tty(4) and setpgrp(2)
    - [tg] Sanitise and slightly optimise control character handling
    - [tg] Add O_BINARY to all open(2) calls for OS/2 kLIBC support
    - [tg] Generate option strings for shell, set, ulimit at compile time
    - [Steffen Daode Nurpmeso] Drop ISTRIP termios(4) mode
    - [tg] Mention negative history numbers, octals in the manpage
    - [tg] Make check.pl work with Perl < 5.6.1 again
    - [tg] Detect getsid(2) and skip the oksh suspend builtin otherwise
    - [tg] Document that set -o noclobber is unsafe for tempfiles
    - [tg] Update to Unicode 6.3.0
    - [RT] Restore some portability
    - [tg] Fix parsing positional argument variable names
    - [tg] Sprinkle a few __attribute__((__pure__)); fix warnings
    - [tg] Fix build on OSX: always use our wcwidth code; only use our
      strlcpy(3) code if the OE doesn’t provide one (prompted by jonthn
      on IRC)
    - [tg] Optimise sh -c to exec even in MKSH_SMALL
    - [tg] Use new BAFH for hashing
  * New upstream version R48b:
    - [tg] Fix display issue with multi-line prompts and SIGWINCH
  * New upstream version R48:
    - [tg] dot.mkshrc: unbreak hd(1) function in UTF-8 mode
    - [Jens Staal, tg] Improve buildability on Plan 9 and support kencc
    - [tg] Clean up and improve build process and testsuite
    - [Michael Langguth] Add multi-layer ICO file from mksh/Win32
    - [tg, Steffen Daode Nurpmeso] Fix interactive shell exiting on ^C or
      syntax error when the EXIT pseudo-signal trap was set (to anything)
      (Closes: #715533)
    - [tg, Daode] Display longer command excerpts in job control
    - [tg] Rewrite Emacs mode display window sliding calculation code
    - [tg] dot.mkshrc: “doch” now keeps standard input (requested by gecko2)
    - [tg] Reduce memory usage and improve comments and documentation
  * New upstream version R47:
    - [tg] Do not accidentally remove lksh.1 for in-srcdir builds
    - [tg] Fix post-build non-‘-Q’ output for lksh
    - [tg] Silence some configure-time warnings for clang-3.2 and GCC
    - [tg] Prevent recursion loops for namerefs; found by ormaaj
    - [tg] Replace wcwidth code by mine based on Unicode 6.2.0
    - [tg, Alexander Polakov] Fix quoting in word part of ${var+word} etc.
      when the expression is in a quoted brace or a here document
    - [tg] Fix some compiler warnings; improve sig{,handler}_t detection
    - [tg] Keep SIGCHLD blocked in some more semi-critical code paths

