=== debian/control ===
--- 
+++ 
@@ -1,5 +1,3 @@
-# $MirOS: contrib/hosted/tg/deb/mksh/debian/control,v 1.88 2013/05/22 18:43:47 tg Exp $
-#
 Source: mksh
 Section: shells
 Priority: optional
@@ -7,24 +5,22 @@
 XSBC-Original-Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: http://mirbsd.de/mksh
 # We build-depend on dietlibc-dev and libklibc-dev for mksh-static and link
-# it against eglibc if neither is usable for a given architecture. The meat
+# it against glibc if neither is usable for a given architecture. The meat
 # checks actual shell usability based on the architecture, whether we are in
 # paranoid (just before the freeze/release) mode, and whether the testsuite
 # is run to determine bad builds. Really, do run the testsuite! (Even then,
 # versioned B-D may be used to remove known bogus versions.)
 Build-Depends: bsdmainutils, debhelper (>= 5), ed,
-  libklibc-dev [alpha amd64 armel armhf arm64 hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64],
+  libklibc-dev [alpha amd64 armel armhf arm64 hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64 x32],
 # dietlibc-dev (>= 0.33~cvs20111108-5~) [hppa] | dietlibc-doc [hppa],
 # dietlibc-dev [alpha amd64 arm armeb armel armhf i386 ia64 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sparc64],
 # # also for the testsuite (could switch to C.UTF-8 nowadays, though)
   locales [!avr32] | belocs-locales-bin [!avr32]
 # # hard to test against bug
 Build-Conflicts: dietlibc-dev (<< 0.33~cvs20111108-5~) [hppa]
-Standards-Version: 3.9.4
-# First word is the $CVSROOT (-d arg) string, second word the module.
-# Upstream is on the same server, in the "mksh" module.
-Vcs-CVS: :ext:_anoncvs@anoncvs.mirbsd.org:/cvs contrib/hosted/tg/deb/mksh
-Vcs-Browser: http://cvs.mirbsd.de/contrib/hosted/tg/deb/mksh/
+Standards-Version: 3.9.5
+VCS-git: git://anonscm.debian.org/collab-maint/mksh.git
+VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mksh.git
 
 Package: mksh
 Architecture: any
@@ -44,9 +40,8 @@
  compatibility to other modern shells, as well as a couple of its
  own) are available.
  This shell is Debian Policy 10.4 compliant and may be used as /bin/sh
- on Debian systems (if udev is installed, /bin/lksh should be used;
- otherwise, both /bin/mksh-static and /bin/mksh flavours also work),
- and as rescue and initrd shell (/bin/mksh-static especially).
+ on Debian systems (the /bin/lksh binary should be used for this), and
+ as rescue and initrd shell (especially the /bin/mksh-static binary).
  .
  The mksh-static binary is a version of mksh, linked against klibc or
  dietlibc (if they exist for that Debian architecture and are usable)
@@ -56,7 +51,8 @@
  It omits some leaf features to be even smaller.
  .
  The lksh binary is a script shell based on mksh intended to run old
- ksh88 and pdksh scripts, but not for interactive use.
+ ksh88 and pdksh scripts, but not for interactive use. When used as
+ /bin/sh it follows POSIX most closely.
  .
  A sample ~/.mkshrc is included in /usr/share/doc/mksh/examples and
  provided as /etc/mkshrc conffile, which is sourced by another file
