## mksh 50d

=== debian/changelog ===
mksh (50d-3~bpo70+1) wheezy-backports; urgency=medium

  * QA upload.
  * Rebuild for wheezy-backports.

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 17 Nov 2014 11:53:19 +0100

mksh (50d-3) unstable; urgency=high

  * QA upload.
  * Update to CVS HEAD, the freeze is nearing, and this is better
    than the previous upload already anyway:
    - [tg] Add more tests detailing behaviour difference from GNU bash
    - [tg] Introduce a memory leak for x=<< fixing use of freed memory
      instead, bug tracked as LP#1380389 still live
    - [tg] Add x+=<< parallel to x=<<
    - [tg, ormaaj, jilles] POSIX “command” loses builtin special-ness
    - [tg] Begin fixing LP#1381965 and LP#1381993 (more field splitting)
  * Urgency again high because of POSIX compliance bugfixes (last two)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 23 Oct 2014 09:18:38 +0000

mksh (50d-2) unstable; urgency=high

  * QA upload.
  * Apply patch from LP#1381965

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 19 Oct 2014 19:57:24 +0200

mksh (50d-1~bpo70+2) wheezy-backports; urgency=high

  * QA upload.
  * Emergency upload: fix severe regression (LP#1381965)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 19 Oct 2014 22:11:48 +0200

mksh (50d-1~bpo70+1) wheezy-backports; urgency=high

  * QA upload.
  * Rebuild for wheezy-backports.

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 07 Oct 2014 20:35:57 +0200

mksh (50d-1) unstable; urgency=high

  * QA upload.
  * New upstream regression bugfix release:
    - [Goodbox] Fix NULL pointer dereference on “unset x; nameref x”
    - [tg] Fix severe regression in field splitting (LP#1378208)
    - [tg] Add a warning about not using tainted user input (including
      from the environment) in arithmetics, until Stéphane writes it up
  * Enable klibc builds on arm64 and ppc64el
  * Disable LTO build, it is still too unreliable
  * Orphan the package.

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 07 Oct 2014 17:21:21 +0000

mksh (50c-1~bpo70+2) wheezy-backports; urgency=high

  * Emergency upload: fix severe regression (LP#1378208)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 07 Oct 2014 17:08:28 +0200

mksh (50c-1~bpo70+1) wheezy-backports; urgency=high

  * Rebuild for wheezy-backports.
  * Keep Built-Using, s390 klibc builds disabled
  * Keep forcing gzip compression for the source tarball
  * (Closes: #760857) (Closes: #763842)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 03 Oct 2014 19:10:22 +0000

mksh (50c-1) unstable; urgency=high

  * New upstream security release:
    - [tg] Know more rare signals when generating sys_signame[] replacement
    - [tg] OpenBSD sync (mostly RCSID only)
    - [tg] Document HISTSIZE limit; found by luigi_345 on IRC
    - [zacts] Fix link to Debian .mkshrc
    - [tg] Cease exporting $RANDOM (Debian #760857)
    - [tg] Fix C99 compatibility
    - [tg] Work around klibc bug causing a coredump (Debian #763842)
    - [tg] Use [197]issetugid(2) as additional check if we are FPRIVILEGED
    - [tg] SECURITY: do not permit += from environment
    - [tg] Fix more field splitting bugs reported by Stephane Chazelas and
      mikeserv; document current status wrt. ambiguous ones as testcases too
  * Policy 3.9.6, no changes
  * Use klibc on x32 again, to be binNMUable, and since it works good enough
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 03 Oct 2014 18:56:34 +0000

mksh (50b-1~bpo70+1) wheezy-backports; urgency=medium

  * Keep Built-Using disabled for wheezy-backports
  * Disable klibc builds on s390, the tests time out,
    so there appears to be a problem
  * Force gzip compression for the source tarball, for wheezy

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 03 Sep 2014 22:37:06 +0200

mksh (50b-1) unstable; urgency=high

  * Bring back accidentally lost changelog entry for version 49-2
  * Note what was actually imported from CVS in the 50-4 changelog
  * Disable klibc builds on x32 for now, they’re essentially amd64
  * New upstream version; remaining change:
    - [tg, Jb_boin] Relax overzealous nameref RHS checks
  * Update /etc/skel/.mkshrc with example how to force UTF-8
  * Fix gitweb URL in README.Debian
  * Urgency high due to script regression since 50-1
  * Add NEWS entry for mksh script language changes in 50-1

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 03 Sep 2014 22:30:55 +0200

mksh (50-4~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Keep Built-Using disabled for wheezy-backports.

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 01 Sep 2014 22:57:34 +0200

mksh (49-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Disable Built-Using for wheezy-backports.

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 05 Feb 2014 22:57:57 +0100

mksh (49-2) unstable; urgency=medium

  * The “waiting for $customer_project to be ready” upload
  * Update to upstream CVS HEAD:
    - [tg] MKSH_BINSHREDUCED no longer mistakenly enables brace expansion
    - [tg] Explain more clearly Vi input mode limitations in the manpage
    - [tg] Improve error reporting of the check.pl script (which needs a
      maintainer since I don’t speak any perl(1), really), for lewellyn

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 31 Jan 2014 17:19:27 +0100
