=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mksh
 Section: shells
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thorsten Glaser <tg@mirbsd.de>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: http://mirbsd.de/mksh
 # We build-depend on dietlibc-dev and libklibc-dev for mksh-static and link
 # it against glibc if neither is usable for a given architecture. The meat
@@ -11,21 +10,21 @@
 # is run to determine bad builds. Really, do run the testsuite! (Even then,
 # versioned B-D may be used to remove known bogus versions.)
 Build-Depends: bsdmainutils, debhelper (>= 5), ed,
-  libklibc-dev [alpha amd64 armel armhf arm64 hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64 x32],
-# dietlibc-dev (>= 0.33~cvs20111108-5~) [hppa] | dietlibc-doc [hppa],
-# dietlibc-dev [alpha amd64 arm armeb armel armhf i386 ia64 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sparc64],
+# # disabled on: s390 (buggy in wheezy)
+  libklibc-dev [alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32],
+  dietlibc-dev (>= 0.33~cvs20111108-5~) [hppa] | dietlibc-doc [hppa],
+  dietlibc-dev [alpha amd64 arm armeb armel armhf i386 ia64 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sparc64],
 # # also for the testsuite (could switch to C.UTF-8 nowadays, though)
   locales [!avr32] | belocs-locales-bin [!avr32]
 # # hard to test against bug
 Build-Conflicts: dietlibc-dev (<< 0.33~cvs20111108-5~) [hppa]
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 VCS-git: git://anonscm.debian.org/collab-maint/mksh.git
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mksh.git
 
 Package: mksh
 Architecture: any
 Multi-Arch: foreign
-Built-Using: ${mksh:B-U}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: ed
 Description: MirBSD Korn Shell
