=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-# $MirOS: contrib/hosted/tg/deb/mksh/debian/rules,v 1.111 2013/05/22 18:43:47 tg Exp $
 
 LC_ALL:=C
 export LC_ALL
