## mksh 50e

=== debian/changelog ===
mksh (50e-2ubuntu1) vivid; urgency=high

  * Merge from Debian (LP: #1429469), remaining changes:
    - Omit dietlibc builds on Ubuntu, where it is not in main
    - Maintainer change for Ubuntu

 -- Thorsten Glaser <t.glaser@tarent.de>  Sat, 07 Mar 2015 23:42:38 +0000

mksh (50e-2) experimental; urgency=medium

  * QA upload.
  * Backport upstream fix:
    - [tg] SECURITY: make unset HISTFILE actually work
  * Adjust shell version accordingly

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 07 Mar 2015 23:30:36 +0000

mksh (50e-1) experimental; urgency=high

  * QA upload.
  * Remove timestamps from README.Debian; should make builds reproducible
  * Filter out some more junk from README.Debian
  * Update to the next release of the R50-stable branch:
    - [tg] Fix LP#1381965 and LP#1381993 (more field splitting)
    - [jilles] Update location of FreeBSD testsuite for test(1)
    - [Martin Natano] Remove dead NULL elements from Emacs keybindings
    - [tg, Stéphane Chazelas, Geoff Clare] Change several testcases for $*/$@
      expansion with/without quotes to expected-fail, with even more to come ☹
    - [tg] Fix miscalculating required memory for encoding the double-quoted
      parts of a here document or here string delimiter, leading to a buffer
      overflow; discovered by zacts from IRC
    - [RT] Rename a function conflicting with a MacRelix system header
    - [tg] Use size_t (and ssize_t) consistently, stop using ptrdiff_t; fixes
      some arithmetics and S/390 bugs
    - [tg] Remove old workarounds for Clang 3.2 scan-build
    - [tg] Remove all Clang/Coverity assertions, making room for new checks
    - [tg] Fix NSIG generation on Debian sid gcc-snapshot
    - [tg] Make a testcase not fail in a corner case
    - [tg] Fix issues detected by GCC’s new sanitisers: data type of a value
      to be shifted constantly must be unsigned (what not, in C…); shebang
      check array accesses are always unsigned char
    - [tg] Be even more explicit wrt. POSIX in the manpage
    - [tg] Fix shebang / file magic decoding
    - [tg] More int → bool conversion
    - [tg] Let Build.sh be run by GNU bash 1.12.1 (Slackware 1.01)
    - [Stéphane Chazelas, tg] Fix here string parsing issue
    - [tg] Point out more future changes in the manpage
    - [tg] Call setgid(2), setegid(2), setuid(2) before seteuid(2)
    - [tg] Fix spurious empty line after ENOENT “whence -v”, found by Ypnose
    - [tg] Optimise dot.mkshrc and modernise it a bit
    - [tg] Use MAXPATHLEN from <sys/param.h> for PATH_MAX fallback
    - [tg] Some code cleanup and warnings fixes
    - [tg] Add options -a argv0 and -c to exec
    - [jsg] Prevent use-after-free when hitting multiple errors unwinding
    - [tg] Fix use of $* and $@ in scalar context: within [[ … ]] and after
      case (spotted by Stéphane Chazelas) and in here documents (spotted by
      tg@); fix here document expansion
    - [tg] Unbreak when $@ shares double quotes with others
    - [tg] Fix set -x in PS4 expansion infinite loop
  * Update README, Description, copyright and build scripts
  * Upload to experimental due to the jessie pre-release freeze

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 01 Mar 2015 16:38:11 +0000

mksh (50d-4) unstable; urgency=medium

  * QA upload.
  * Backport upstream fix:
    - [tg] SECURITY: make unset HISTFILE actually work
  * Adjust shell version accordingly

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 07 Mar 2015 22:16:53 +0100

mksh (50d-3ubuntu1) vivid; urgency=high

  * Merge from Debian (LP: #1377295), remaining changes:
    - Omit dietlibc builds on Ubuntu, where it is not in main
    - Maintainer change for Ubuntu

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 29 Oct 2014 12:28:42 +0000
