=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mksh
 Section: shells
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Homepage: http://mirbsd.de/mksh
 # We build-depend on dietlibc-dev and libklibc-dev for mksh-static and link
 # it against glibc if neither is usable for a given architecture. The meat
@@ -10,10 +10,9 @@
 # is run to determine bad builds. Really, do run the testsuite! (Even then,
 # versioned B-D may be used to remove known bogus versions.)
 Build-Depends: bsdmainutils, debhelper (>= 5), ed,
-# # disabled on: s390 (buggy in wheezy)
-  libklibc-dev [alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32],
-  dietlibc-dev (>= 0.33~cvs20111108-5~) [hppa] | dietlibc-doc [hppa],
-  dietlibc-dev [alpha amd64 arm armeb armel armhf i386 ia64 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sparc64],
+  libklibc-dev [alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64 x32],
+# dietlibc-dev (>= 0.33~cvs20111108-5~) [hppa] | dietlibc-doc [hppa],
+# dietlibc-dev [alpha amd64 arm armeb armel armhf i386 ia64 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sparc64],
 # # also for the testsuite (could switch to C.UTF-8 nowadays, though)
   locales [!avr32] | belocs-locales-bin [!avr32]
 # # hard to test against bug
@@ -25,6 +24,7 @@
 Package: mksh
 Architecture: any
 Multi-Arch: foreign
+Built-Using: ${mksh:B-U}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: ed
 Description: MirBSD Korn Shell
@@ -38,20 +38,28 @@
  standards compliance added, and several enhancements (for extended
  compatibility to other modern shells, as well as a couple of its
  own) are available.
- This shell is Debian Policy 10.4 compliant and may be used as /bin/sh
- on Debian systems (the /bin/lksh binary should be used for this), and
- as rescue and initrd shell (especially the /bin/mksh-static binary).
+ This shell is Debian Policy 10.4 compliant and works as /bin/sh on
+ Debian systems (use the /bin/lksh executable) and is a good rescue
+ and initrd shell (consider the /bin/mksh-static executable).
+ .
+ The mksh binary is a complete, full-featured shell. If called as sh,
+ it enables a compatibility mode and some more controversial features
+ from POSIX, but still provides the “consistent across all platforms”
+ guarantee, using 32-bit integers for arithmetics.
  .
  The mksh-static binary is a version of mksh, linked against klibc or
  dietlibc (if they exist for that Debian architecture and are usable)
  and optimised for small code size, for example for use on initrd or
  initramfs images, installation or rescue systems, or /bin/sh on slow
- architectures.
+ architectures. Otherwise, it is similar to the mksh binary.
  It omits some leaf features to be even smaller.
  .
  The lksh binary is a script shell based on mksh intended to run old
  ksh88 and pdksh scripts, but not for interactive use. When used as
- /bin/sh it follows POSIX most closely.
+ /bin/sh it follows POSIX most closely, including use of the host’s
+ “long” C data type for arithmetics. It also contains kludges so it
+ can run as /bin/sh on Debian, where many packages ship buggy/broken
+ maintainer scripts, such as including a rudimentary printf(1) builtin.
  .
  A sample ~/.mkshrc is included in /usr/share/doc/mksh/examples and
  provided as /etc/mkshrc conffile, which is sourced by another file
